Subject: bug#5765: Strange things happens with C-v in read-file-name

From: Lennart Borgman <[email-masked]>
Date: Thu, 29 Apr 2010 17:45:12 +0200

On Thu, Apr 29, 2010 at 5:42 PM, Chong Yidong <[email-masked]> wrote:
> [email-masked] (Kim F. Storm) writes:
>
>>> Nothing happened to this so I am sending this again. Could this please
>>> be fixed before the release?
>>>
>>> Kim, could you perhaps comment on this? Could the line
>>>
>>>    (setq cua-inhibit-cua-keys t)
>>>
>>> be removed?
>>
>> IIRC, the reason for this was the following binding in ido file mode:
>>
>>     (define-key map "\C-v" 'ido-toggle-vc)
>>
>> If cua-mode is enabled, C-v is processed by cua (as paste), shadowing the
>> above command.
>>
>> I guess nobody really uses that specific feature of ido.
>> I used to use it a lot back when I wrote ido, but never uses it these days.
>>
>> So the best thing to do would be to remove the above binding - then you
>> can also remove the setting of cua-inhibit-cua-keys.
>
> Done.
>
> (In the trunk, not in the branch; this is not serious enough to make an
> exception to the regressions-only policy).

Thanks.

But maybe it is serious enough for the release because CUA keys does
not work in the minibuffer at all without this change. (And I doubt it
can break anything.)